Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80579 - Default to orinoco_cs instead of wvlan_cs
Summary: Default to orinoco_cs instead of wvlan_cs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: hwdata
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-28 07:05 UTC by Dax Kelson
Modified: 2014-03-17 02:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-30 06:28:29 UTC


Attachments (Terms of Use)

Description Dax Kelson 2002-12-28 07:05:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
My Dell Inspiron has a builtin 802.11b card, the Dell TrueMobile 1150 MiniPCI
card. It is a rebadged Wavelan / Orinoco / Agere card.

On Red Hat Linux 8.0 and in Phoebe, by default the wvlan_cs is loaded and used.
It should replaced with orinoco_cs by default. Read the following from:

http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Orinoco.html#drivers

=================
We are in the process of phasing out gradually wvlan_cs in favor of orinoco_cs,
which has all the features of the former without the bugs. We are recommending
people doing a new installation to start directly with orinoco_cs. 

Why would you use orinoco_cs ? A few reasons : 

* Full source code. Some people strongly beleive in the concept of Free Software
and Open Source, especially when it come to stuff that reside in kernel space. 
* Not only for i386 platforms. Can be made to work on PPC, Alpha, StrongArm,
ia64 and your favourite platform (doesn't mean that it will work out of the box). 
* Multi configuration, using Pcmcia schemes and wireless.opts (see below). This
may be also achieved using the specific networking scripts of some distributions. 
* Much better Wireless Extension support. 
* Signal strength in ad-hoc mode (see below). 
* Multi-firmware (1.16 -> 6.16) and multi-vendor (Lucent, Enterasys & ELSA)
support. 
* Some Prism2 and Symbol card support... 
===============

In /etc/pcmcia/config change occurances of wvlan_cs to orinoco_cs. For example:

card "Intersil PRISM2 11 Mbps Wireless Adapter"
  manfid 0x0156, 0x0002
  bind "wvlan_cs"

to

card "Intersil PRISM2 11 Mbps Wireless Adapter"
  manfid 0x0156, 0x0002
  bind "orinoco_cs"

Comment 1 Bill Nottingham 2002-12-30 06:28:29 UTC
Changed, will be in 0.64-1


Note You need to log in before you can comment on or make changes to this bug.